@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@300;400;500&family=Poppins:wght@400;500&display=swap");

:root {
  --primary-color: #161616;
  --text-dark: #161616;
  --text-light: #ffffff;
  --extra-light: #f3f4f6;
  --white: #ffffff;
  --max-width: 1200px;
  --header-font: "Oswald", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
  overflow: hidden;
}

.section__header {
  position: relative;
  isolation: isolate;
  width: fit-content;
  margin-inline: auto;
  margin-bottom: 1rem;
  padding-inline: 1rem;
  font-size: 2rem;
  font-family: var(--header-font);
  color: var(--text-dark);
  text-align: center;
}

.section__header::before,
.section__header::after {
  position: absolute;
  content: "";
  width: 100%;
  max-width: 100px;
  height: 5px;
  top: 50%;
  transform: translateY(-50%);
  border-top: 1px solid var(--text-light);
  border-bottom: 1px solid var(--text-light);
  z-index: -1;
}

.section__header::after {
  right: 100%;
}

.section__header::before {
  left: 100%;
}

.section__description {
  line-height: 1.75rem;
  color: var(--text-light);
}

.btn {
  padding: 1rem 1.5rem;
  outline: none;
  border: none;
  color: var(--white);
  background-color: var(--primary-color);
  border-radius: 5px;
  transition: 0.3s;
  cursor: pointer;
}

.btn:hover {
  background-color: var(--text-dark);
}

a {
  text-decoration: none;
}

img {
  width: 100%;
  display: flex;
}

html,
body {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
}

.header {
  background-image: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.4),
      rgba(0, 0, 0, 0)
    ),
    url("assets/header.jpg");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

nav {
  position: fixed;
  isolation: isolate;
  top: 0;
  width: 100%;
  max-width: var(--max-width);
  margin: auto;
  z-index: 9;
}

.nav__bar {
  padding: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  background-color: var(--text-dark);
}

.nav__logo{
  max-width: 80px;

}

.nav__menu__btn {
  font-size: 1.5rem;
  color: var(--white);
  cursor: pointer;
}

.nav__links {
  list-style: none;
  position: absolute;
  width: 100%;
  padding: 2rem;
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 2rem;
  font-size: 1.2rem;
  font-family: var(--header-font);
  background-color: var(--primary-color);
  transform: translateY(-100%);
  transition: 0.5s;
  z-index: -1;
}

.nav__links.open {
  transform: translateY(0);
}

.nav__links .nav__logo {
  display: none;
}

.nav__links a {
  position: relative;
  isolation: isolate;
  padding-bottom: 8px;
  color: var(--white);
  transition: 0.3s;
}

.header__container {
  padding-block: 10rem;
}

.header__container p {
  font-size: 1.2rem;
  font-family: var(--header-font);
  color: var(--white);
}

.header__container h1 {
  margin-bottom: 1rem;
  font-size: 3rem;
  font-weight: 400;
  font-family: var(--header-font);
  line-height: 3rem;
  color: var(--white);
}

.banner__grid {
  margin-bottom: 10px;
  position: relative;
  isolation: isolate;
  display: grid;
  grid-auto-rows: 240px;
  gap: 2px;
}

.banner__card {
  display: grid;
  place-content: center;
}

.banner__card h4 {
  font-size: 3rem;
  font-weight: 400;
  font-family: var(--header-font);
  color: var(--white);
  text-align: center;
}

.banner__card:nth-child(1) {
  background-image: url("assets/b1.PNG");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.banner__card:nth-child(3) {
  background-image: url("assets/b2.PNG");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.banner__card:nth-child(even) {
  background-color: var(--text-dark);
}

.banner__grid img {
  position: absolute;
  width: 250px;
  padding: 3rem 1.5rem;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--primary-color);
  border: 10px solid var(--text-dark);
  display: none;
}

.banner__strip {
  display: grid;
  gap: 5px;
}

.banner__strip__card {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 5px;
}

.banner__strip__card div {
  flex: 1;
  padding: 1rem;
  display: grid;
  place-content: center;
  font-size: 1.2rem;
  font-family: var(--header-font);
  color: var(--white);
  text-align: center;
  background-color: var(--primary-color);
}

.banner__strip__card:nth-child(even) {
  grid-auto-flow: dense;
  direction: rtl;
}

.about__container .section__description {
  max-width: 900px;
  margin-inline: auto;
  text-align: center;
}

.feature {
  position: relative;
  isolation: isolate;
}

.feature::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 60%;
  top: 0;
  left: 0;
  background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
    url("assets/feature-bg.jpg");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  z-index: -1;
}

.feature__container h4 {
  max-width: 600px;
  margin-inline: auto;
  margin-bottom: 2rem;
  font-size: 2rem;
  font-weight: 300;
  font-family: var(--header-font);
  color: #b82049;
  text-align: center;
  line-height: 2.5rem;
}

.feature__container .section__header {
  color: var(--white);
  background-color: transparent;
}

.feature__grid {
  isolation: isolate;
  margin-top: 2rem;
  display: grid;
}

.feature__content {
  display: grid;
  align-items: center;
}

.feature__content > div {
  padding: 2rem;
  font-size: 1.1rem;
  color: var(--primary-color);
  background-color: var(--white);
  z-index: 1;
}

.feature__content .btn {
  margin-top: 1rem;
}

.feature__video video {
  width: 100%;
}

.blog__grid {
  margin-top: 2rem;
  display: grid;
  gap: 1rem;
}

.blog__card {
  position: relative;
  isolation: isolate;
  overflow: hidden;
  cursor: pointer;
}

.blog__header {
  padding: 1rem;
}

.blog__header h4 {
  margin-bottom: 1rem;
  font-size: 1.5rem;
  font-weight: 400;
  font-family: var(--header-font);
  color: var(--text-dark);
}

.blog__card__footer {
  margin-top: 1rem;
  padding-top: 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  flex-wrap: wrap;
  border-top: 1px solid var(--text-light);
}

.blog__card__footer div {
  font-size: 0.9rem;
  color: var(--text-light);
}

.blog__card__footer span {
  margin-right: 5px;
  font-size: 1rem;
}

.blog__content {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 100%;
  left: 0;
  padding: 2rem;
  background-color: rgba(22, 22, 22, 0.95);
  z-index: 1;
  transition: 0.5s;
}

.blog__content h4 {
  margin-bottom: 1rem;
  font-size: 1.5rem;
  font-weight: 400;
  font-family: var(--header-font);
  color: var(--white);
}

.blog__content p {
  color: var(--text-light);
  line-height: 1.75rem;
}

.blog__card:hover .blog__content {
  top: 0;
}

.instagram__container {
  padding-block: 1rem;
  overflow: hidden;
}

.instagram__flex {
  width: max-content;
  display: flex;
  align-items: center;
  gap: 10px;

  animation: scroll 45s linear infinite;
}

.instagram__flex img {
  max-width: 120px;
}

@keyframes scroll {
  to {
    transform: translateX(calc(-50% - 5px));
  }
}

.footer {
  overflow: hidden;
  background-color: var(--primary-color);
  border-bottom: 10px solid var(--white);
}

.footer__container {
  display: grid;
  gap: 4rem;
  text-align: center;
}

.footer__col img {
  max-width: 225px;
  margin-inline: auto;
  margin-block: 2rem;
}

.footer__socials {
  margin-block: 4rem 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  flex-wrap: wrap;
}

.footer__socials a {
  padding: 5px 10px;
  font-size: 1.25rem;
  color: var(--text-dark);
  background-color: var(--white);
  border-radius: 100%;
  transition: 0.3s;
}

.footer__socials a:hover {
  color: var(--white);
  background-color: var(--text-light);
}

.footer__bar {
  font-size: 0.9rem;
  color: var(--text-light);
  text-align: center;
}

.footer__col h4 {
  margin-bottom: 1rem;
  font-size: 1.5rem;
  font-weight: 400;
  font-family: var(--header-font);
  color: var(--white);
}

.footer__col p {
  margin-bottom: 1rem;
  color: var(--text-light);
}

.footer__col p span {
  font-size: 1.2rem;
  margin-right: 10px;
}

.footer__col form {
  padding: 5px;
  width: 100%;
  max-width: 350px;
  margin-inline: auto;
  display: flex;
  align-items: center;
  gap: 5px;
  background-color: var(--text-dark);
  border-radius: 5px;
}

.footer__col input {
  padding: 0.75rem 0.5rem;
  width: 100%;
  font-size: 1rem;
  color: var(--text-light);
  outline: none;
  border: none;
  background: transparent;
}

.footer__col .btn:hover {
  color: var(--primary-color);
  background-color: var(--white);
}

.footer__bar__link {
  position: relative;
  isolation: isolate;
  margin-bottom: -10px;
  margin-inline: auto;
  width: 60px;
  aspect-ratio: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.footer__bar__link::after {
  position: absolute;
  content: "";
  top: 25%;
  width: 125%;
  height: 125%;
  rotate: 45deg;
  background-color: var(--white);
  z-index: -1;
}

.footer__bar__link i {
  font-size: 1.25rem;
  font-weight: 700;
  color: var(--text-dark);
}

.footer__bar__link span {
  font-size: 0.9rem;
  font-weight: 500;
  color: var(--text-dark);
}

@media (width > 480px) {
  .banner__grid {
    grid-auto-rows: 280px;
    grid-template-columns: repeat(2, 1fr);
  }

  .banner__card:nth-child(4) {
    grid-area: 2/1/3/2;
  }

  .banner__strip {
    grid-template-columns: repeat(2, 1fr);
  }

  .banner__strip__card:nth-child(even) {
    grid-auto-flow: unset;
    direction: unset;
  }

  .banner__strip__card:nth-child(4n),
  .banner__strip__card:nth-child(4n -1) {
    grid-auto-flow: dense;
    direction: rtl;
  }

  .blog__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .instagram__flex img {
    max-width: 135px;
  }
}

@media (width > 768px) {
  nav {
    padding: 2rem 1rem;
    position: static;
    max-width: 900px;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .nav__bar {
    display: none;
  }

  .nav__links {
    padding: 0;
    width: 100%;
    position: static;
    transform: none;
    flex-direction: row;
    justify-content: space-between;
    background-color: transparent;
  }

  .nav__links .nav__logo {
    display: block;
    max-width: 180px;
  }

  .banner__grid {
    grid-auto-rows: 320px;
  }

  .banner__grid img {
    display: flex;
  }

  .banner__strip {
    grid-template-columns: repeat(3, 1fr);
  }

  .banner__strip__card:nth-child(4n),
  .banner__strip__card:nth-child(4n -1) {
    grid-auto-flow: unset;
    direction: unset;
  }

  .banner__strip__card:nth-child(6n),
  .banner__strip__card:nth-child(6n - 1),
  .banner__strip__card:nth-child(6n - 2) {
    grid-auto-flow: dense;
    direction: rtl;
  }

  .feature__grid {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .feature__content > div {
    transform: translateX(2rem);
  }

  .feature__video video {
    transform: translateX(-2rem);
  }

  .blog__grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .instagram__flex img {
    max-width: 150px;
  }

  .footer__container {
    grid-template-columns: repeat(3, 1fr);
    text-align: left;
    gap: 2rem;
  }

  .footer__col:nth-child(1) {
    grid-area: 1/2/2/3;
  }

  .footer__col form {
    margin-inline-start: unset;
  }
}












































/*-----------------------------------*\
  #style.css
\*-----------------------------------*/

/**
 * copyright 
 */





/*-----------------------------------*\
  #CUSTOM PROPERTY
\*-----------------------------------*/

:root {

  /**
   * colors
   */
   --pale-purple-pantone: hsl(262, 63%, 92%);
   --medium-sea-green: hsl(152, 63%, 43%);
   --lavender-blush: hsl(336, 35%, 92%);
   --carolina-blue: hsl(0, 0%, 0%);
   --columbia-blue: hsl(0, 0%, 0%);
   --alice-blue-1: hsl(0, 0%, 0%);
   --alice-blue-2: hsl(218, 48%, 9%);
   --alice-blue-3: hsl(48, 71%, 7%);
   --alice-blue-4: hsl(0, 0%, 0%);
   --independence: hsl(0, 0%, 97%);
   --deep-cerise: hsl(328, 74%, 5%);
   --eerie-black: hsl(210, 11%, 15%);
   --space-cadet: hsl(0, 0%, 100%);
   --blue-jeans: hsl(0, 0%, 0%);
   --slate-blue: hsl(262, 58%, 6%);
   --beau-blue: hsl(50, 26%, 13%);
   --honey-dew: hsl(152, 48%, 89%);
   --mimi-pink: hsl(329, 63%, 90%);
   --red-salsa: hsl(0, 79%, 63%);
   --sapphire: hsl(0, 0%, 92%);
   --manatee: hsl(219, 14%, 60%);
   --white: hsl(0, 0%, 100%);

  --gradient: linear-gradient(to top, var(--alice-blue-2), var(--alice-blue-3));

  /

  **
   * typography
   */

  --ff-nunito: 'Nunito', sans-serif;
  --ff-open-sans: 'Open Sans', sans-serif;

  --fs-1: 2.125rem;
  --fs-2: 1.875rem;
  --fs-3: 1.5rem;
  --fs-4: 1.375rem;
  --fs-5: 1.125rem;
  --fs-6: 0.875rem;
  --fs-7: 0.625rem;

  --fw-400: 400;
  --fw-600: 600;

  /**
   * transition
   */

  --transition: 0.5s ease;

  /**
   * spacing
   */

  --section-padding: 50px;

  /**
   * radius
   */

  --radius-10: 10px;
  --radius-14: 14px;
  --radius-18: 18px;

  /**
   * shadow
   */

  --shadow-1: 3px 3px 9px hsl(0, 15%, 91%);
  --shadow-2: 3px 3px 9px hsla(205, 12%, 80%, 0.747);

}





/*-----------------------------------*\
  #RESET
\*-----------------------------------*/

*, *::before, *::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

li { list-style: none; }

a { text-decoration: none; }

a,
img,
span,
label,
input,
button,
ion-icon { display: block; }

button,
input {
  background: none;
  border: none;
  font: inherit;
}

button { cursor: pointer; }

input { width: 100%; }

ion-icon { pointer-events: none; }

html {
  font-family: var(--ff-open-sans);
  color: var(--eerie-black);
  font-size: 1rem;
  line-height: 1.5;
  scroll-behavior: smooth;
}

body {
  background: var(--alice-blue-1);
  overflow-x: hidden;
}

::-webkit-scrollbar {
  width: 15px;
  height: 10px;
}

::-webkit-scrollbar-track { background: var(--white); }

::-webkit-scrollbar-thumb {
  background: hsla(219, 14%, 60%, 0.3);
  border: 2px solid var(--white);
}

::-webkit-scrollbar-thumb:hover { background: hsla(219, 14%, 60%, 0.5); }





/*-----------------------------------*\
  #REUSED STYLE
\*-----------------------------------*/

.container { padding-inline: 15px; }

button, a { transition: var(--transition); }

.btn {
  position: relative;
  background: var(--background, var(--carolina-blue));
  color: var(--color, var(--white));
  min-width: var(--width, 40px);
  min-height: var(--height, 40px);
  padding: 5px;
  display: grid;
  place-items: center;
  border-radius: var(--radius-14);
  font-family: var(--ff-nunito);
  font-size: var(--fs-6);
  font-weight: var(--fw-600);
  overflow: hidden;
}

.btn ion-icon {
  font-size: 22px;
  --ionicon-stroke-width: 40px;
}

.btn::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(to right, hsla(0, 0%, 100%, 0.4), transparent);
  opacity: 0;
  pointer-events: none;
  transition: var(--transition);
}

.btn:is(:hover, :focus) { box-shadow: var(--shadow-2); }

.btn:is(:hover, :focus)::before { opacity: 1; }

.section { padding-block: var(--section-padding); }

.h1,
.h2,
.h3 {
  color: var(--space-cadet);
  font-family: var(--ff-nunito);
  line-height: 1.4;
}

.h1 {
  font-size: var(--fs-1);
  text-transform: uppercase;
}

.h2,
.h3 { font-weight: var(--fw-400); }

.h2 { font-size: var(--fs-2); }

.h3 { font-size: var(--fs-4); }

.w-100 { width: 100%; }








/*-----------------------------------*\
  #HERO
\*-----------------------------------*/

.hero { padding-top: 120px; }

.hero-title {
  max-width: 20ch;
  margin-bottom: 15px;
}

.hero-text {
  color: var(--independence);
  line-height: 1.8;
  margin-bottom: 30px;
}

.hero-banner { display: none; }

.hero-form {
  background: var(--gradient);
  border: 1px solid var(--white);
  box-shadow: var(--shadow-1);
  border-radius: var(--radius-18);
  font-family: var(--ff-nunito);
}

.input-wrapper { padding: 15px 20px; }

.input-wrapper:not(:last-of-type) { border-bottom: 1px solid hsla(0, 0%, 0%, 0.08); }

.input-label {
  color: var(--manatee);
  font-size: var(--fs-6);
  margin-bottom: 10px;
}

.input-field {
  color: var(--space-cadet);
  outline: 2px solid transparent;
  outline-offset: 5px;
  border-radius: 4px;
  transition: var(--transition);
}

.input-field:focus { outline-color: var(--carolina-blue); }

.input-field::placeholder { color: var(--independence); }

.hero-form .btn {
  --width: calc(100% - 40px);
  --height: 50px;
  margin: 20px;
  text-transform: uppercase;
}





/*-----------------------------------*\
  #FEATURED CAR
\*-----------------------------------*/

.featured-car .title-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 10px 15px;
  margin-bottom: 30px;
}

.featured-car-link {
  display: flex;
  align-items: center;
  gap: 5px;
  color: var(--independence);
  font-size: var(--fs-6);
}

.featured-car-link span { transition: var(--transition); }

.featured-car-link:is(:hover, :focus) span { color: var(--space-cadet); }

.featured-car-link ion-icon {
  margin-top: 3px;
  transition: var(--transition);
}

.featured-car-link:is(:hover, :focus) ion-icon { color: var(--carolina-blue); }

.featured-car-list {
  display: grid;
  grid-template-columns: minmax(0, 1fr);
  gap: 30px;
}

.featured-car-card {
  background: var(--gradient);
  border: 1px solid var(--white);
  border-radius: var(--radius-18);
  padding: 10px;
  box-shadow: var(--shadow-1);
}

.featured-car-card .card-banner {
  background: hsla(0, 0%, 0%, 0.2);
  aspect-ratio: 3 / 2;
  border-radius: var(--radius-18);
  overflow: hidden;
}

.featured-car-card .card-banner > img {
  height: 100%;
  object-fit: cover;
}

.featured-car-card .card-content { padding: 20px 10px 10px; }

.featured-car-card .card-title-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 5px;
  margin-bottom: 15px;
}

.featured-car-card .card-title { width: calc(100% - 60px); }

.featured-car-card .card-title > a {
  color: inherit;
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.featured-car-card .card-title > a:is(:hover, :focus) { color: var(--carolina-blue); }

.featured-car-card .year {
  font-family: var(--ff-nunito);
  font-size: var(--fs-6);
  font-weight: var(--fw-600);
  padding: 3px 12px;
  border: 2px dashed hsla(204, 91%, 53%, 0.4);
  border-radius: var(--radius-14);
}

.featured-car-card .card-list {
  display: grid;
  grid-template-columns: 1fr;
  gap: 15px;
  padding-bottom: 15px;
  border-bottom: 1px solid hsla(0, 0%, 0%, 0.1);
  margin-bottom: 15px;
}

.featured-car-card .card-list-item {
  display: flex;
  align-items: center;
  gap: 8px;
}

.featured-car-card .card-list-item ion-icon {
  font-size: 20px;
  color: var(--carolina-blue);
  --ionicon-stroke-width: 38px;
}

.featured-car-card .card-item-text {
  color: var(--independence);
  font-size: var(--fs-6);
}

.featured-car-card .card-price-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 15px;
}

.featured-car-card .card-price {
  font-family: var(--ff-nunito);
  font-size: var(--fs-6);
  color: var(--space-cadet);
}

.featured-car-card .card-price strong {
  font-size: var(--fs-3);
  font-weight: var(--fw-400);
}

.featured-car-card .btn:last-child {
  --height: 36px;
  min-width: 100%;
}

.featured-car-card .fav-btn {
  --background: var(--beau-blue);
  --color: var(--blue-jeans);
  --height: 36px;
  --width: 36px;
  --shadow-2: none;
}

.featured-car-card .fav-btn ion-icon { font-size: 18px; }

.featured-car-card .fav-btn:is(:hover, :focus) {
  --background: var(--lavender-blush);
  --color: var(--red-salsa);
}





/*-----------------------------------*\
  #GET START
\*-----------------------------------*/

.get-start .section-title { margin-bottom: 25px; }

.get-start-list {
  display: grid;
  gap: 20px;
}

.get-start-card {
  background: var(--white);
  padding: 20px;
  border-radius: var(--radius-18);
  border: 1px solid var(--white);
  transition: var(--transition);
}

.get-start-card:hover {
  background: var(--alice-blue-2);
  box-shadow: var(--shadow-1);
}

.get-start-card .card-icon {
  background: var(--icon-card-bg, var(--columnia-blue));
  color: var(--icon-card-color, var(--carolina-blue));
  height: 50px;
  width: 50px;
  display: grid;
  place-items: center;
  border-radius: var(--radius-14);
  margin-bottom: 20px;
}

.get-start-card .card-icon ion-icon {
  font-size: 26px;
  --ionicon-stroke-width: 45px;
}

.get-start-card .icon-1 {
  --icon-card-bg: var(--mimi-pink);
  --icon-card-color: var(--deep-cerise);
}

.get-start-card .icon-2 {
  --icon-card-bg: var(--columbia-blue);
  --icon-card-color: var(--carolina-blue);
}

.get-start-card .icon-3 {
  --icon-card-bg: var(--honey-dew);
  --icon-card-color: var(--medium-sea-green);
}

.get-start-card .icon-4 {
  --icon-card-bg: var(--pale-purple-pantone);
  --icon-card-color: var(--slate-blue);
}

.get-start-card .card-title {
  color: var(--space-cadet);
  font-family: var(--ff-nunito);
  font-weight: var(--fw-400);
  margin-bottom: 15px;
}

.get-start-card .card-text { color: var(--independence); }

.get-start-card .card-link {
  position: relative;
  color: var(--carolina-blue);
  width: max-content;
}

.get-start-card .card-link::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 2px;
  background: var(--carolina-blue);
  transition: var(--transition);
}

.get-start-card .card-link:is(:hover, :focus)::before { width: 100%; }





/*-----------------------------------*\
  #BLOG
\*-----------------------------------*/

.blog .section-title { margin-bottom: 30px; }

.blog-card {
  background: var(--alice-blue-2);
  border-radius: var(--radius-18);
  border: 1px solid var(--white);
  box-shadow: var(--shadow-1);
  overflow: hidden;
}

.blog-card .card-banner {
  aspect-ratio: 3 / 2;
  position: relative;
  overflow: hidden;
}

.blog-card .card-banner a:first-child { height: 100%; }

.blog-card .card-banner img {
  height: 100%;
  object-fit: cover;
}

.blog-card .card-badge {
  position: absolute;
  bottom: 20px;
  left: 20px;
  --height: 30px;
  --width: 92px;
}

.blog-card .card-content { padding: 20px; }

.blog-card .card-title { margin-bottom: 20px; }

.blog-card .card-title > a { color: inherit; }

.blog-card .card-title > a:is(:hover, :focus) { color: var(--carolina-blue); }

.blog-card .card-meta {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.blog-card :is(.publish-date, .comments) {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: var(--fs-6);
  color: var(--independence);
}

.blog-card :is(.publish-date, .comments) ion-icon {
  font-size: 15px;
  --ionicon-stroke-width: 50px;
}

.blog .has-scrollbar {
  display: flex;
  gap: 20px;
  scroll-snap-type: inline mandatory;
  overflow-x: auto;
  padding-bottom: 20px;
}

.blog .has-scrollbar > li {
  flex-shrink: 0;
  max-width: 330px;
  width: 100%;
  scroll-snap-align: start;
}

.has-scrollbar::-webkit-scrollbar-track {
  background: var(--alice-blue-1);
  outline: 2px solid var(--carolina-blue);
  border-radius: 10px;
}

.has-scrollbar::-webkit-scrollbar-thumb {
  border-color: var(--alice-blue-1);
  background: var(--carolina-blue);
  border-radius: 10px;
}

.has-scrollbar::-webkit-scrollbar-button { width: calc(25% - 40px); }





/*-----------------------------------*\
  #FOOTER
\*-----------------------------------*/

.footer {
  background: var(--alice-blue-4);
  color: var(--independence);
}

.footer a { color: inherit; }

.footer-top {
  padding-block: 60px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: flex-start;
  row-gap: 50px;
}

.footer-top .logo { margin-bottom: 20px; }

.footer-text {
  font-size: var(--fs-6);
  line-height: 1.8;
}

.footer-list { font-family: var(--ff-nunito); }

.footer-list:not(:last-of-type) { width: 50%; }

.footer-list:last-of-type {
  width: 100%;
  column-count: 2;
}

.footer-list-title {
  color: var(--space-cadet);
  font-weight: var(--fw-600);
  margin-bottom: 8px;
}

.footer-link {
  font-size: var(--fs-6);
  padding-block: 6px;
}

.footer-link:is(:hover, :focus) { color: var(--carolina-blue); }

.footer-list:last-child > li:first-child { column-span: all; }

.footer-bottom {
  background: var(--gradient);
  border: 1px solid var(--white);
  border-radius: var(--radius-18) var(--radius-18) 0 0;
  padding: 20px;
}

.social-list {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 20px;
}

.social-link { font-size: 20px; }

.social-link ion-icon { --ionicon-stroke-width: 40px; }

.social-link:is(:hover, :focus) { color: var(--carolina-blue); }

.copyright { font-size: var(--fs-6); }

.copyright > a { display: inline-block; }

.copyright > a:is(:hover, :focus) { color: var(--carolina-blue); }





/*-----------------------------------*\
  #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for large than 350px screen
 */

@media (min-width: 350px) {

  /**
   * FEATURED CAR
   */

  .featured-car-card .card-list { grid-template-columns: 1fr 1fr; }

  .featured-car-card .card-price { margin-right: auto; }

  .featured-car-card .btn:last-child {
    min-width: max-content;
    padding-inline: 15px;
  }

}





/**
 * responsive for large than 580px screen
 */

@media (min-width: 580px) {

  /**
   * REUSED STYLE
   */

  .container {
    max-width: 540px;
    margin-inline: auto;
  }



  /**
   * HEADER
   */

  .header-actions .btn span {
    display: block;
    font-weight: var(--fw-400);
    padding-inline: 15px;
  }

  .header-actions .btn:first-of-type ion-icon { display: none; }

}





/**
 * responsive for large than 768px screen
 */

@media (min-width: 768px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fs-1: 2.625rem;

  }



  /**
   * REUSED STYLE
   */

  .container { max-width: 720px; }



  /**
   * HEADER
   */

  .header-actions { gap: 30px; }

  .header-contact {
    display: block;
    text-align: center;
  }

  .header-contact .contact-link {
    color: var(--space-cadet);
    font-family: var(--ff-nunito);
    font-size: var(--fs-5);
    line-height: 1.3;
  }

  .header-contact .contact-link:is(:hover, :focus) { color: var(--carolina-blue); }

  .header-contact .contact-time {
    color: var(--independence);
    font-size: var(--fs-7);
  }



  /**
   * HERO
   */

  .hero {
    position: relative;
    min-height: 85vh;
    display: flex;
    align-items: center;
    z-index: 1;
  }

  .hero-form {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 0.8fr;
  }

  .input-wrapper:not(:last-of-type) {
    border-bottom: none;
    border-right: 1px solid hsla(0, 0%, 0%, 0.08);
  }

  .input-label {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .hero-banner {
    display: block;
    background: url("../images/hero-banner.jpg") no-repeat;
    background-size: cover;
    background-position: left;
    position: absolute;
    top: 100px;
    bottom: 50px;
    left: 65%;
    width: 500px;
    border-radius: 30px;
    z-index: -1;
  }



  /**
   * FEATURED CAR
   */

  .featured-car-list { grid-template-columns: repeat(2, minmax(0, 1fr)); }



  /**
   * GET START
   */

  .get-start-list { grid-template-columns: 1fr 1fr; }



  /**
   * FOOTER
   */

  .footer-brand { width: 100%; }

  .footer-text { max-width: 400px; }

  .footer-bottom {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    padding-block: 30px;
    box-shadow: var(--shadow-1);
  }

  .social-list { margin-bottom: 0; }

}





/**
 * responsive for large than 992px screen
 */

@media (min-width: 992px) {

  /**
   * REUSED STYLE
   */

  .container { max-width: 960px; }



  /**
   * HERO
   */

  .hero .container { width: 100%; }



  /**
   * BLOG
   */

  .blog .has-scrollbar { padding-bottom: 50px; }

  .blog .has-scrollbar > li { max-width: 450px; }



  /**
   * FOOTER
   */

  .footer-list:not(:last-of-type) { width: 25%; }

  .footer-list:last-of-type { width: 50%; }

}





/**
 * responsive for large than 1200px screen
 */

@media (min-width: 1200px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fs-1: 2.875rem;
    --fs-2: 2rem;

  }



  /**
   * REUSED STYLE
   */

  .container { max-width: 1170px; }




  /**
   * HEADER
   */

  .overlay,
  .nav-toggle-btn { display: none; }

  .navbar,
  .navbar.active { all: unset; }

  .navbar-link {
    margin-bottom: 0;
    font-weight: var(--fw-600);
  }

  .navbar-list {
    display: flex;
    gap: 50px;
  }



  /**
   * HERO
   */

  .hero { min-height: 100vh; }

  .hero-banner {
    left: auto;
    right: 50px;
    width: 630px;
  }

  .hero-form { max-width: 900px; }

  .hero-form .btn {
    --width: calc(100% - 40px);
    --height: 50px;
    margin: 20px;
    text-transform: uppercase;
  }



  /**
   * FEATURED CAR 
   */

  .featured-car-list { grid-template-columns: repeat(3, minmax(0, 1fr)); }



  /**
   * GET START
   */

  .get-start-list { grid-template-columns: repeat(4, 1fr); }



  /**
   * BLOG
   */

  .blog .has-scrollbar > li {
    max-width: 340px;
    scroll-snap-align: center;
  }



  /**
   * FOOTER
   */

  .footer-brand { width: 33.33%; }

  .footer-text { max-width: 35ch; }

  .footer-list:not(:last-of-type) { width: 16.66%; }

  .footer-list:last-of-type { width: 33.33%; }

}











































/* CONTACT */
.contact {
  position: relative;
  width: 100%;
  margin-top: 50px;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.contact-form {
  position: relative;
  background: #181303;
  width: calc(100% - 400px);
  padding: 60px 40px 20px;
}

.contact-form form {
  width: 100%;
}

.contact-form .row {
  width: 100%;
  display: flex;
}

.contact-form .input50 {
  width: 50%;
  margin: 0 10px;
}

.contact-form .input100 {
  width: 100%;
  margin: 0 10px;
}

.contact-form .row input,
.contact-form .row textarea {
  position: relative;
  border: 1px solid rgba(253, 253, 253, 0.2);
  color: #d6c5c5;
  background: transparent;
  width: 100%;
  padding: 10px;
  outline: none;
  font-size: 16px;
  font-weight: 300;
  margin: 10px 0;
  resize: none;
}

.contact-form .row textarea {
  height: 150px;
}

.contact-form .row input[type='submit'] {
  background-color: var(--secondary-color);
  color: #dbd8cb;;
  margin: 0;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: 300;
  border: 0;
  cursor: pointer;
}

.contact-info {
  width: 350px;
  background: #c0bcaf;;
  padding: 60px 40px 20px;
}

.contact-info .info-box {
  display: flex;
  align-items: flex-start;
  margin-bottom: 40px;
}

.contact-info .info-box .contact-icon {
  width: 20px;
  margin-right: 40px;
}

.contact-info .info-box .details h4 {
  color: var(--secondary-color);
}

.contact-info .info-box .details p,
.contact-info .info-box .details a {
  color: #111;
}

@media (max-width: 1068px) {
  .home-img {
    display: none;
  }

  .logo {
    top: 10px;
    left: 40px;
    font-size: 1.5rem;
  }

  section {
    padding: 100px 40px;
  }

  .navigation ul li a {
    font-size: 2rem;
  }

  .services {
    grid-template-columns: repeat(2, 1fr);
  }

  .contact {
    flex-direction: column;
  }

  .contact-form {
    width: 100%;
    padding: 30px 30px 20px;
  }

  .contact-form .row {
    flex-direction: column;
  }

  .contact-form .input50,
  .contact-form .input100 {
    width: 100%;
    margin: 0;
  }

  .contact-info {
    width: 100%;
    margin-top: 20px;
    padding: 30px 30px 20px;
  }
}

@media (max-width: 768px) {
  .services {
    grid-template-columns: 1fr;
  }

  .services .service {
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
  }
}
